Skip to main content
DELETE
/
webhooks
/
{webhook_id}
Delete webhook
curl --request DELETE \
  --url https://api.hixbe.com/sms/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Hixbe-Version: <hixbe-version>'
{
  "error": {
    "type": "authentication_error",
    "code": "invalid_api_key",
    "message": "Invalid API key provided. Check your API key at https://dashboard.hixbe.com/api-keys",
    "request_id": "req_abc123"
  }
}
Remove a webhook endpoint from your account.

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. Format: Authorization: Bearer sk_live_xxxxx

Headers

Hixbe-Version
string
default:2026-01-01
required

API version in YYYY-MM-DD format. Using the latest version ensures access to newest features.

Pattern: ^\d{4}-\d{2}-\d{2}$

Path Parameters

webhook_id
string
required

Webhook ID

Response

Webhook deleted successfully